<template>
  <div class="wholesale">
    <div class="wholesale-wrapper">
      <div class="wholesale-title">
        <span>Dear Bookstore Owner/Distributor </span>
        <p>Exclusive Wholesale Opportunity</p>
      </div>

      <img src="/img/bookstack.png" class="wholesale-book" />

      <div class="wholesale-description">
        <span>
          We are excited to present "<b>Life Is an Upward Spiral</b>", a
          transformative new book by acclaimed author <b>Ansar Yawar</b>, now
          available for wholesale purchase. This title isn't just an addition to
          your shelves—it's a <b>potential bestseller</b> that promises to
          captivate your customers.
        </span>
        <div class="br"></div>
        <div class="br"></div>
        <div class="br"></div>

        <p>Why Choose "Life Is an Upward Spiral"?</p>

        <ul>
          <li class="bullet">
            <div>
              <b>Engaging Content</b>: Ansar Yawar's unique insights and
              compelling life lessons engage readers from the first page to the
              last.
            </div>
          </li>
          <li class="bullet">
            <b>Broad Appeal</b>: Tailored for both young adults and adults
            seeking personal growth, this book meets a wide demand, ensuring
            quick sales.
          </li>
          <li class="bullet">
            <b>Exclusive Wholesale Discounts</b>: Take advantage of significant
            discounts on bulk orders, enhancing your profit margins and
            competitive edge.
          </li>
        </ul>

        <p>Special Wholesale Pricing:</p>

        <ul class="wholesale-special">
          <li><b>50-99 copies</b>: 40% off retail price</li>
          <div class="br"></div>
          <li><b>100-499 copies</b>: 45% off retail price</li>
          <div class="br"></div>
          <li><b>500+ copies</b>: 50% off retail price</li>
        </ul>

        <p>Additional Benefits:</p>

        <ul>
          <span>
            <li>
              <b>Marketing Support</b>: We provide complimentary promotional
              materials and access to our online marketing toolkit to maximize
              your sales potential.
            </li>
            <li>
              <b>Author Events</b>: We offer opportunities to host book signings
              and other events with Ansar Yawar, increasing foot traffic and
              boosting sales.
            </li>
            <div class="br"></div>
            <div class="br"></div>
            <div class="br"></div>
            <div class="br"></div>
            <div class="br"></div>
            <div class="br"></div>
            <b>Don't miss the opportunity</b> to delight your customers with a
            book they will love. Place your wholesale order now and make "Life
            Is an Upward Spiral" a highlight in your collection.
            <div class="br"></div>
            For orders and inquiries, please contact us at
            <b>contact@ansaryawar.com</b>. We are eager to partner with you and
            achieve great success together!
            <div class="br"></div>
            <div class="br"></div>
            <div class="br"></div>
            <div class="br"></div>
            <div class="br"></div>
            <div class="br"></div>
            <div class="wholesale-footer">
              <div>
                Warm regards,
                <div class="br"></div>
                <img src="/img/logo.png" />
                <div class="br"></div>

                Ansar Yawar
                <br />
                The Author
              </div>
            </div>
          </span>
        </ul>
      </div>
    </div>
  </div>
</template>

<script lang="ts" setup>
import gsap from "gsap";
import { ScrollTrigger } from "gsap/ScrollTrigger";

onMounted(() => {
  if (window) {
    if (window.screen.width > 780) {
      setTimeout(() => {
        gsap.registerPlugin(ScrollTrigger);

        gsap.set(".wholesale-book", {
          scale: 1,
        });
        gsap.to(".wholesale-book", {
          scale: 0.6,
          scrollTrigger: {
            trigger: ".wholesale-wrapper",
            start: "top top",
            scrub: 2,
          },
        });
      }, 500);
    }
  }
});
</script>

<style lang="scss" scoped>
@use "~/assets/scss/mixins" as *;
.wholesale {
  height: fit-content;
  display: flex;
  justify-content: center;
  padding: 40px 0;
  overflow: visible;
  position: relative;
  animation-duration: 1s;
  animation-fill-mode: both;
  animation-name: starting;
  animation-timing-function: ease-in-out;
  @include phone {
    padding: 30px 0;
  }

  &-wrapper {
    height: fit-content;
    overflow: visible;
    width: 60%;
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    @include phone {
      width: 80%;
    }
  }

  &-image {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0.7;
  }

  &-book {
    width: 80%;
    margin-top: 50px;
  }

  &-title {
    text-align: center;
    // margin-top: 10px;
    p {
      color: #000;
      font-size: 44px;
      font-weight: 500;
      line-height: 120%;
      display: block;
      @include laptop_l {
        font-size: 30px;
      }
      @include phone {
        font-weight: 600;
        width: 100%;
      }
    }
    span {
      display: block;
      margin-bottom: 30px;
      @include laptop_l {
        font-size: 13px;
      }
      @include phone {
        font-size: 16px;
      }
    }
  }

  &-description {
    width: 80%;
    @include laptop_l {
      margin-top: 50px;
    }
    @include phone {
      width: 100%;
    }
    p {
      color: #000;
      font-size: 16px;
      font-weight: 600;
      line-height: 100%;
      margin-top: 50px;

      @include laptop_l {
        font-size: 14px;
      }
      @include phone {
        font-weight: 600;
        width: 100%;
      }
    }

    span,
    li {
      display: block;
      margin-top: 20px;
      font-size: 16px;
      line-height: 200%;
      color: #000;
      font-weight: 400;
      @include laptop_l {
        margin-top: 10px;
        font-size: 13px;
      }
      @include phone {
        margin-top: 10px;
        font-size: 15px;
        padding-right: 0px;
        width: 100%;
      }
    }
  }

  b {
    color: #000;
    font-weight: 500;
  }
  .br {
    padding: 5px 0;
  }

  .bullet {
    // display: flex;
    // align-items: center;
    // &::before {
    //   content: " ";
    //   display: block;
    //   width: 4px;
    //   height: 4px;
    //   border-radius: 100%;
    //   background-color: #000;
    // }
  }

  li {
    list-style-type: disc;
    display: list-item;
    margin-left: 18px;
    @include phone {
      margin-left: 13px;
    }
  }

  ul {
    margin-top: 20px;
    list-style-position: outside;
  }

  &-footer {
    display: flex;
    align-items: center;
    gap: 20px;

    img {
      width: 70px;
      height: 50px;
    }
  }

  &-special {
    li {
      margin-top: 0 !important;
    }
  }
}
</style>
